Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface TranscriptAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

public interface TranscriptAdaptor
extends FeatureAdaptor

Provides access to Transcripts in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default TranscriptAdaptor available from a driver.

Method Summary
`void` | `delete(long transcriptInternalID)` Deletes transcript with specified internalID plus it's exons and translation from persistent storage.
`void` | `delete(Transcript transcript)` Deletes transcript plus it's exons and translation from persistent storage.
`Transcript` | `fetch(long internalID)`
`java.util.List` | `fetch(Query query)` Deprecated. use more specific fetch methods
`Transcript` | `fetch(java.lang.String accessionID)`
`void` | `fetchAccessionID(Transcript transcript)` Retrieves transcript's accession from persistent store and sets transcript.accession.
`java.util.List` | `fetchByGeneIDs(long[] geneIDs)` Get all the transcripts associated with the specified genes.
`java.util.List` | `fetchByGeneIDs(long[] geneIDs, boolean loadChildren)` Get all the transcripts associated with the specified genes and optionally preload the child transcripts, translations and exons.
`java.util.List` | `fetchByInterproID(java.lang.String interproID)`
`java.util.List` | `fetchBySynonym(java.lang.String synonym)`
`Transcript` | `fetchComplete(Transcript transcript)` Loads missing gene and exons into the transcript where these are available in the database.
`java.util.List` | `fetchSupportingFeatures(long transcriptID)` Returns supporting features for this transcript.
`void` | `fetchVersion(Transcript transcript)` Retrieves transcript's version from persistent store and sets transcript.version.
`void` | `store(Transcript transcript)` Stores transcript plus it's exons and translation in persistent storage.

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default TranscriptAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### store

    public void store(Transcript transcript)
               throws AdaptorException

  Stores transcript plus it's exons and translation in persistent storage.

  Throws:
    `AdaptorException`

### delete

    public void delete(Transcript transcript)
                throws AdaptorException

  Deletes transcript plus it's exons and translation from persistent storage.

  Throws:
    `AdaptorException`

### delete

    public void delete(long transcriptInternalID)
                throws AdaptorException

  Deletes transcript with specified internalID plus it's exons and translation from persistent storage.

  Throws:
    `AdaptorException`

### fetch

    public Transcript fetch(long internalID)
                     throws AdaptorException

  Returns:
    A transcript matching the internalID, or null if non found.
  Throws:
    `AdaptorException`

### fetch

    public Transcript fetch(java.lang.String accessionID)
                     throws AdaptorException

  Returns:
    A transcript matching the accessionID, or null if non found.
  Throws:
    `AdaptorException`

### fetchComplete

    public Transcript fetchComplete(Transcript transcript)
                             throws AdaptorException

  Loads missing gene and exons into the transcript where these are available in the database.

  Returns:
    transcript with exons and gene set where possible.
  Throws:
    `AdaptorException`

### fetchByGeneIDs

    public java.util.List fetchByGeneIDs(long[] geneIDs)
                                  throws AdaptorException

  Get all the transcripts associated with the specified genes.

  Parameters:
    `geneIDs` - internal IDs of genes.
  Returns:
    A list of all the transcripts for that genes in no partticular order.
  Throws:
    `AdaptorException`
  See Also:
    `fetchByGeneIDs(long[], boolean)`

### fetchByGeneIDs

    public java.util.List fetchByGeneIDs(long[] geneIDs,
                                         boolean loadChildren)
                                  throws AdaptorException

  Get all the transcripts associated with the specified genes and optionally preload the child transcripts, translations and exons.

  Parameters:
    `geneIDs` - internal IDs of genes.
  Returns:
    A list of all the transcripts for that genes in no partticular order.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Query query)
                         throws AdaptorException

  Deprecated. use more specific fetch methods

  Returns:
    list of zero or more Transcripts.
  Throws:
    `AdaptorException`

### fetchBySynonym

    public java.util.List fetchBySynonym(java.lang.String synonym)
                                  throws AdaptorException

  Returns:
    zero or more Transcripts matching the synonym.
  Throws:
    `AdaptorException`

### fetchByInterproID

    public java.util.List fetchByInterproID(java.lang.String interproID)
                                     throws AdaptorException

  Returns:
    Transcripts matching the interpro id, empty list if non found.
  Throws:
    `AdaptorException`

### fetchAccessionID

    public void fetchAccessionID(Transcript transcript)
                          throws AdaptorException

  Retrieves transcript's accession from persistent store and sets transcript.accession.

  Throws:
    `AdaptorException`

### fetchVersion

    public void fetchVersion(Transcript transcript)
                      throws AdaptorException

  Retrieves transcript's version from persistent store and sets transcript.version. Version is set to 0 if it is unavailable in persistent store.

  Parameters:
    `transcript` - transcript.internalID should be >0
  Throws:
    `AdaptorException`

### fetchSupportingFeatures

    public java.util.List fetchSupportingFeatures(long transcriptID)
                                           throws AdaptorException

  Returns supporting features for this transcript.

  Parameters:
    `transcriptID` - internal ID of the transcript of interest.
  Returns:
    zero or more supporting features where a supporting feature is either a DnaDnaAlignment or a DnaProteinAlignment.
  Throws:
    `AdaptorException`
  See Also:
    `DnaDnaAlignment`, `DnaProteinAlignment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD